• Advisory ID: DRUPAL-SA-CONTRIB-2014-002
  • Project: Anonymous Posting (third-party module)
  • Version: 7.x
  • Date: 2014-January-15
  • Security risk: Moderately critical
  • Exploitable from: Remote
  • Vulnerability: Cross Site Scripting


This module allows anonymous users to fill in their contact information (name, email and homepage) when posting any content type including Forum Topics. This allows the submitted name to be shown instead of the usual anonymous string provided by Drupal core.

The module doesn't properly sanitize the name submitted by the anonymous user before it is output.

This vulnerability is mitigated only by the fact that use of anonymous posting data must be enabled on a per content type basis by a user with permission to do so since it is not enabled by default. However when configured for it's intended purpose, the vulnerability is not mitigated.

CVE identifier(s) issued

  • CVE-2014-1611

Versions affected

  • Anonymous Posting 7.x-1.x versions 7.x-1.2 and 7.x-1.3

Drupal core is not affected. If you do not use the contributed Anonymous Posting module, there is nothing you need to do.


  • Install the latest version: 7.x-1.4

Also see the Anonymous Posting project page.

Reported by

  • drikc the module maintainer

Fixed by

  • drikc the module maintainer

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.

Follow the Drupal Security Team on Twitter at https://twitter.com/drupalsecurity